db_object_field Struct Reference

`#include <db_object.h>`

## Data Fields

db_object_field_t * | next
const char * | name
db_type_t | type
const db_enum_t * | enum_set

## Detailed Description

A representation of an field/value for a database object.

Definition at line 52 of file db_object.h.

## Field Documentation

## enum_set

const db_enum_t* db_object_field::enum_set

Definition at line 56 of file db_object.h.

Referenced by db_object_field_copy(), db_object_field_not_empty(), and db_object_field_set_enum_set().

## name

const char* db_object_field::name

Definition at line 54 of file db_object.h.

Referenced by db_object_field_copy(), db_object_field_name(), db_object_field_not_empty(), and db_object_field_set_name().

## next

db_object_field_t* db_object_field::next

Definition at line 53 of file db_object.h.

Referenced by db_object_field_copy(), db_object_field_list_add(), db_object_field_list_copy(), and db_object_field_next().

## type

db_type_t db_object_field::type

Definition at line 55 of file db_object.h.

Referenced by db_object_field_copy(), db_object_field_new(), db_object_field_not_empty(), db_object_field_set_enum_set(), db_object_field_set_type(), and db_object_field_type().

The documentation for this struct was generated from the following file:

- src/db/db_object.h